## org.apache.tools.ant.taskdefs.optional.depend
Interface ClassFileIterator

All Known Implementing Classes:
  DirectoryIterator, JarFileIterator

public interface ClassFileIterator

Iterator interface for iterating over a set of class files

Author:
  Conor MacNeill

Method Summary
`ClassFile` `getNextClassFile()` Get the next class file in the iteration

Method Detail

### getNextClassFile

    public ClassFile getNextClassFile()

  Get the next class file in the iteration

  Returns:
    the next class file in the iterationr

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.